<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DriverProfile StructType
 * @subpackage Structs
 */
class DriverProfile extends AbstractStructBase
{
    /**
     * The DriverToUpdate
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\Identifier
     */
    public $DriverToUpdate;
    /**
     * The ProfileList
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfProfileItem_V1
     */
    public $ProfileList;
    /**
     * Constructor method for DriverProfile
     * @uses DriverProfile::setDriverToUpdate()
     * @uses DriverProfile::setProfileList()
     * @param \StructType\Identifier $driverToUpdate
     * @param \ArrayType\ArrayOfProfileItem_V1 $profileList
     */
    public function __construct(\StructType\Identifier $driverToUpdate = null, \ArrayType\ArrayOfProfileItem_V1 $profileList = null)
    {
        $this
            ->setDriverToUpdate($driverToUpdate)
            ->setProfileList($profileList);
    }
    /**
     * Get DriverToUpdate value
     * @return \StructType\Identifier|null
     */
    public function getDriverToUpdate()
    {
        return $this->DriverToUpdate;
    }
    /**
     * Set DriverToUpdate value
     * @param \StructType\Identifier $driverToUpdate
     * @return \StructType\DriverProfile
     */
    public function setDriverToUpdate(\StructType\Identifier $driverToUpdate = null)
    {
        $this->DriverToUpdate = $driverToUpdate;
        return $this;
    }
    /**
     * Get ProfileList value
     * @return \ArrayType\ArrayOfProfileItem_V1|null
     */
    public function getProfileList()
    {
        return $this->ProfileList;
    }
    /**
     * Set ProfileList value
     * @param \ArrayType\ArrayOfProfileItem_V1 $profileList
     * @return \StructType\DriverProfile
     */
    public function setProfileList(\ArrayType\ArrayOfProfileItem_V1 $profileList = null)
    {
        $this->ProfileList = $profileList;
        return $this;
    }
}
